> For the complete documentation index, see [llms.txt](https://docs.mapakalamidad.ph/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapakalamidad.ph/master/general/supported-hazards.md).

# Supported Hazards

Mapakalamidad.ph currently supports 4 types of disasters, as follow:

1. Flood
2. Typhoon
3. Earthquake
4. Volcano

For the scope of this documentation, the disasters will have the following information:

| Disaster Type | report\_type | Attribute details                                                                                                                                                                                                                                                                                                                                                                           |
| ------------- | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Flood         | flood        | <p><strong>flood\_depth:</strong> flood severity based on depth in cm<br></p><p>< 70 cm : Minor</p><p>70 - 150 cm : Moderate</p><p>150 cm : Severe</p>                                                                                                                                                                                                                                      |
| Typhoon       | wind         | <p>impact: level of disruption caused by extreme wind<br>powerOutRage: Are you experiencing a power outage?</p><p><br>0 : Low Disruption <br>1 : Medium Disruption <br>2 : High Disruption</p>                                                                                                                                                                                              |
| Typhoon       | storm        | <p>impact: level of disruption caused by extreme wind<br><br>powerOutRage: Are you experiencing a power outage?<br><br>0 : Low Disruption <br>1 : Medium Disruption <br>2 : High Disruption<br></p>                                                                                                                                                                                         |
| Earthquake    | road         | <p>accessabilityFailure: the level of road damage affected by earthquake<br>condition: level of disturbance caused<br></p><p>0 : < 0,5 m (No Vehicle Access) <br>1 : 0,6 - 1 m (2 or 3-Wheel Vehicle Access) <br>2 or 3 : 1.1 - 1.8 m (4-Wheel Vehicle Access) <br>4 : >1,9 m (Large Vehicle Access)<br><br>0 : Low Disturbance <br>1 : Medium Disturbance <br>2 : High Disturbance<br></p> |
| Volcano       | volcanic     | <p>volcanicSigns: described by symptoms felt by humans<br></p><p>0 : Water Sources are drying up/Contaminated,</p><p>1: Unusual Animal Behaviour,</p><p>3: Frequent Earthquake Tremors,</p><p>4: Frequent Rumbling Sounds</p>                                                                                                                                                               |
| Volcano       | smog         | <p>smogRadius: the radius of a smog estimated by the human eye<br>smogImpact: Impact of ashfall or smog<br><br>0: Fine/Dry (difficult to breathe and see)<br>1: Granulated (strong smell of sulfur)<br>2: Dense/Wet (roads not passable)</p>                                                                                                                                                |
|               |              |                                                                                                                                                                                                                                                                                                                                                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mapakalamidad.ph/master/general/supported-hazards.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
